package com.muyu.common;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: Saisai.Liu
 * @date: 2023/12/2
 * @Description: 分页集合
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PageList<T> {

    /**
     * 分页数据
     */
    private List<T> rows;

    /**
     * 总条数
     */
    private long total;
}
