package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.Vehicle;

/**
 * <p>
 * 车辆 服务类
 * </p>
 *
 * @author Saisai.Liu
 * @since 2022-07-05
 */
public interface VehicleService extends IService<Vehicle> {

    /**
     * 根据数量生成测试车辆
     * @param sum 数量
     */
    void generate(Integer sum);

    /**
     * 创建IVN
     * @param vinStr VIN
     */
    void create (String vinStr);

    /**
     * 同步数据库
     */
    void syncDb();

    /**
     * 通过VIN删除车辆
     * @param vin vin
     */
    void delete(String vin);
}
